#!/bin/sh

# Usage: <url> <fpr> <keyring>

set -e;

readonly keyfile="$(mktemp --dry-run)";

mkdir --parents ~/.gnupg;
chmod "u=rwx,g=,o=" ~/.gnupg;

/usr/bin/wget --output-document="$keyfile" -- "$1";
/usr/bin/gpg2 --dry-run --quiet --import-options import-show --with-colons --import "$keyfile" | awk -F: '$1 == "fpr" { print $10 }' | head --lines=1 | grep --fixed-strings "$2";
/usr/bin/gpg2 --quiet --no-default-keyring --keyring "$3" --import "$keyfile";
rm "$keyfile";
